import { geoAlbers, geoPath, geoGraticule } from 'd3';
//projection type
const projection = geoAlbers();
//setting path
const path = geoPath(projection);
const graticule = geoGraticule();

export const CountryMap = ({ data: { land, interiors } }) => (
  <g className="marks">
		<path className="sphere" d={path({ type: 'Sphere' })} /> 
    {land.features.map(feature => (
      <path className="land" d={path(feature)} />
    ))}
    <path className="interiors" d={path(interiors)} />
  </g>
);
